Bug 806083 - Users - Environments tab is missing the 'Remove User' link
Users - Environments tab is missing the 'Remove User' link
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.1
Unspecified Linux
unspecified Severity low (vote)
: Unspecified
: --
Assigned To: Brad Buckingham
Sachin Ghai
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-22 16:45 EDT by Brad Buckingham
Modified: 2013-08-16 14:05 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Users could not be removed from an Environment through the Environments tab. This fix adds this feature to the current version. All administrators now see a "Remove User" link on the Environments tab.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:43:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
'Remove user' link is available under Users --> Environments tab (35.66 KB, image/png)
2012-09-21 11:52 EDT, Sachin Ghai
no flags Details

  None (edit)
Description Brad Buckingham 2012-03-22 16:45:27 EDT
Description of problem:

The Environments tab associated with a user is missing the 'Remove User' link.  For consistency, we should add one.

Typically, we have the 'Remove x' link in the top of every tab within a pane.

Version-Release number of selected component (if applicable):
git master

How reproducible:
always

Steps to Reproduce:
1. create a new user (Administration -> Users)
2. open the user
3. click each of the tabs (Environments/Roles/Details)
  
Actual results:
observe that the Environments tab is missing the 'Remove User' link

Expected results:
the tab has the link and an admin can remove the user from that tab

Additional info:
Comment 1 Brad Buckingham 2012-03-23 10:11:14 EDT
katello commit - 2eca333774db31cf3ff21fc7057b32d277437601
Comment 3 Sachin Ghai 2012-09-21 11:50:48 EDT
Verified with following CFSE build

katello-qpid-client-key-pair-1.0-1.noarch
katello-common-1.1.12-7.el6cf.noarch
katello-all-1.1.12-7.el6cf.noarch
katello-cli-1.1.8-4.el6cf.noarch
katello-certs-tools-1.1.8-1.el6cf.noarch
katello-glue-candlepin-1.1.12-7.el6cf.noarch
katello-selinux-1.1.1-1.el6cf.noarch
katello-configure-1.1.9-3.el6cf.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-cli-common-1.1.8-4.el6cf.noarch
katello-glue-pulp-1.1.12-7.el6cf.noarch
katello-1.1.12-7.el6cf.noarch
katello-qpid-broker-key-pair-1.0-1.noarch


Now 'Remove User' link is available under users --> Environment tab. And admin user can remove the user. Please see the attachment.
Comment 4 Sachin Ghai 2012-09-21 11:52:23 EDT
Created attachment 615491 [details]
'Remove user' link is available under Users --> Environments tab
Comment 6 errata-xmlrpc 2012-12-04 14:43:41 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1543.html
Comment 7 Mike McCune 2013-08-16 14:05:22 EDT
getting rid of 6.0.0 version since that doesn't exist

Note You need to log in before you can comment on or make changes to this bug.